<?php
//订阅
ini_set('default_socket_timeout', -1);  //不超时
$redis = new Redis();
$redis->connect('192.168.1.201', 6379);
$result=$redis->subscribe(array('pushcenter'), 'callback');
function printTest($meg){
    $len=10;
    for($i=0;$i<$len;$i++){
        sleep(1);
        echo $meg."\r\n";
    }
}
function callback($instance,$channelName,$message){
    printTest($message);
}
